# eslint-config-webex-react

This package provides Cisco Webex Teams' .eslintrc as an extensible shared config.

## Usage

We export three ESLint configurations for your usage.

Our default export contains all of our ESLint rules, including ECMAScript 6+ and React. It requires `eslint`, `eslint-plugin-import`, `eslint-plugin-react`, and `eslint-plugin-jsx-a11y`. If you don't need React, see [eslint-config-webex](https://www.npmjs.com/package/@webex/eslint-config-base).

1. Install the correct versions of each package, which are listed by the command:

    ```sh
    npm info "@webex/eslint-config-react@latest" peerDependencies
    ```

    Linux/OSX users can run

    ```sh
    (
      export PKG=@webex/eslint-config-react;
      npm info "$PKG@latest" peerDependencies --json | command sed 's/[\{\},]//g ; s/: /@/g' | xargs npm install --save-dev "$PKG@latest"
    )
    ```

    Which produces and runs a command like:

    ```sh
    npm install --save-dev @webex/eslint-config-react eslint@^#.#.# eslint-plugin-jsx-a11y@^#.#.# eslint-plugin-import@^#.#.# eslint-plugin-react@^#.#.#
    ```

    Windows users can either install all the peer dependencies manually, or use the [install-peerdeps](https://github.com/nathanhleung/install-peerdeps) cli tool.

    ```sh
    npm install -g install-peerdeps
    install-peerdeps --dev eslint-config-react
    ```

    The cli will produce and run a command like:

    ```sh
    npm install --save-dev @webex/eslint-config-react eslint@^#.#.# eslint-plugin-jsx-a11y@^#.#.# eslint-plugin-import@^#.#.# eslint-plugin-react@^#.#.#
    ```

1. Add `"extends": "@webex/eslint-config-react"` to your .eslintrc
